from toml import TomlDecodeError
from discord import Bot, Intents

from config import Config
from logger import LoggerGetter
from cogs.misc import Greetings


if __name__ == "__main__":
    # Read Config
    try:
        config = Config("config.toml")
        print(config)
    except KeyError as error:
        print("Config/KeyError : %s" % error)
        exit(1)
    except TomlDecodeError as error:
        print("Config/DecodeError : %s" % error)
        exit(2)

    # Set Logger
    logger = LoggerGetter(config.logging)()

    # Bot
    intents = Intents.default()
    bot = Bot(intents=intents)

    bot.add_cog(Greetings(bot, logger))

    bot.run(config.discord.token)
