import toml


class DiscordConfig():
    def __init__(self, discord_config: any) -> None:
        self.token: str = discord_config["token"]


class LoggingConfig():
    def __init__(self, logging_config: any) -> None:
        self.level: str = logging_config["level"]


class Config():
    def __init__(self, config_path: str) -> None:
        self._config = toml.load(config_path)
        self.discord = DiscordConfig(self._config["discord"])
        self.logging = LoggingConfig(self._config["logging"])

    def __str__(self) -> str:
        return str(self._config)
